Latest map version for UK and Europe?

Joined
Jul 4, 2009
Messages
23
I just bought a 2nd hand TomTom720 and was told it has the latest maps and all up to date.

So I can confirm this, can someone please let me know what the latest map version is for the "Great Britain and Western Europe" maps?

Many thanks.
 
Currently we are using v830 mapping, tap the sat strength meter followed by the version box on the device and the resultant screen will show you whats on the device - Mike
 
Currently we are using v830 mapping, tap the sat strength meter followed by the version box on the device and the resultant screen will show you whats on the device - Mike

Thanks for that, well, I know my version is 7. something. (not sure now many revisions there have been between 7.something and 8.30)

Very very very roughly, how long has v830 been out to download and update?

Note: I'm talking about UK and Western Europe in case that makes any difference?
 
Map 830 was released May 17th. You'll need the latest application (8.351) to work with that map.
 
Map 830 was released May 17th. You'll need the latest application (8.351) to work with that map.

Thanks for that info.

I don't suppose you know the versions that came before this current one do you?

Is there a list somewhere?

I'm assuming there were quite a few different versions between 7.somthing and 8.30 ?
 
Something like 800, 805, 810, 815, 820 and 830.

But if you are updating your maps, you'll only get offered the latest.
 
v825 was around for a while but I don't recall the v820 maps? - perhaps I missed an update - Mike
 
Again thanks for the reply.

The TomTom I bought from a guy, in his advert he stated that "All maps etc are fully up to date"

When I recieved it, it's got v710.1561 on it. which according to TomTom is 6 quarters (1.5 years) out of date.

Not very happy so trying to come to some agreement on the unit.
 
Map 830 was released May 17th. You'll need the latest application (8.351) to work with that map.

Application 8.302 can also read map 830. Most likely, any application version 8.2 or later can read it.
 
That's what short term memory gets you, mvl.........:eek:

Forgot that I was using 8.302 with the 830 map for a while as well.........:(

Thanks.......
 

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments. After that, you can post your question and our members will help you out.

Ask a Question

Members online

No members online now.

Latest resources

Forum statistics

Threads
29,072
Messages
196,525
Members
68,078
Latest member
tonny

Latest Threads

Back
Top